<?php

declare(strict_types=1);

namespace Drupal\group_clone\Plugin\GroupContentCloner;

use Drupal\group\Entity\GroupContentInterface;

/**
 * {@inheritdoc}
 */
interface GroupContentClonerInterface {

  /**
   * Clone group content.
   *
   * @param Drupal\group\Entity\GroupContentInterface $group_content
   *   Group Content.
   * @param string $group_clone_id
   *   Group Clone ID.
   * @param string $clone_method
   *   The 'references': group_content entity only, maintain references
   *   'all': group_content entity and all references.
   * @param int[] $cloned_entity_ids
   *   Cloned Entity ID.
   */
  public function clone(GroupContentInterface $group_content, string $group_clone_id, string $clone_method, array &$cloned_entity_ids): void;

}
